# Uses of Class
org.apache.cxf.validation.BeanValidationProvider

Packages that use BeanValidationProvider
Package
Description
org.apache.cxf.validation

- ## Uses of BeanValidationProvider in org.apache.cxf.validation

  Methods in org.apache.cxf.validation that return BeanValidationProvider
  Modifier and Type
  Method
  Description
  `protected BeanValidationProvider`
  BeanValidationOutInterceptor.`getOutProvider(Message message)`
  `protected BeanValidationProvider`
  AbstractValidationInterceptor.`getProvider(Message message)`
  Methods in org.apache.cxf.validation with parameters of type BeanValidationProvider
  Modifier and Type
  Method
  Description
  `void`
  AbstractValidationInterceptor.`setProvider(BeanValidationProvider provider)`
  `void`
  BeanValidationFeature.Portable.`setProvider(BeanValidationProvider provider)`
  `void`
  BeanValidationFeature.`setProvider(BeanValidationProvider provider)`
  `void`
  ClientBeanValidationFeature.Portable.`setProvider(BeanValidationProvider provider)`
  `void`
  ClientBeanValidationFeature.`setProvider(BeanValidationProvider provider)`